Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-40576 Support pandas 1.5.x.
  3. SPARK-40589

Fix test for `DataFrame.corr_with` to skip the pandas regression

    XMLWordPrintableJSON

Details

    • Sub-task
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 3.4.0
    • 3.4.0
    • Pandas API on Spark
    • None

    Description

      There is a regression in pandas 1.5.0 for DataFrame.corrwith (https://github.com/pandas-dev/pandas/issues/48826)

      We should make the test pass to support pandas 1.5.x.

      Attachments

        Activity

          People

            itholic Haejoon Lee
            itholic Haejoon Lee
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: